import 'package:flutter/material.dart';
import 'package:image_capture_field/image_capture_field.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({Key? key}) : super(key: key);
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      home: Initializer(),
    );
  }
}

class Initializer extends StatelessWidget {
  Initializer({Key? key}) : super(key: key);
  final textEditingController = TextEditingController();
  final imageCaptureController = ImageCaptureController();
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Test Image Capture'),
      ),
      body: Container(
        padding: EdgeInsets.all(8.0),
        child: Column(
          children: [
            TextField(
              controller: textEditingController,
            ),
            SizedBox(height: 12),
            ImageCaptureField(
              controller: imageCaptureController,
              width: 120,
              height: 120,
              borderRadiusValue: 150,
              bottomRightDistance: 24,
            ),
          ],
        ),
      ),
    );
  }
}
