part of image_capture_field;

class ImageCaptureController {
  Rxn<PickedFile> _pickedImageFile = Rxn<PickedFile>();
  Rxn<Uint8List> _pickedImageUInt8List = Rxn<Uint8List>();

  void updatePickedImageUInt8List(Uint8List? uint8list) {
    if (uint8list != null) _pickedImageUInt8List.value = uint8list;
  }

  Future<void> updatePickedImage(PickedFile? pickedFile) async {
    if (pickedFile != null) {
      _pickedImageFile.value = pickedFile;
      updatePickedImageUInt8List(await _pickedImageFile.value?.readAsBytes());
    }
  }

  bool get isBlank => _pickedImageFile.value == null;
  bool get isBlankUInt8List => _pickedImageUInt8List.value == null;

  ///Here the getter [imageFile] returns a PickedFile which you can use
  ///to upload to your server such as cloudFirestore
  ///for example: for file => File(imageCaptureController.imagePickedFile.path)
  PickedFile? get imagePickedFile => _pickedImageFile.value;

  ///this [imageUInt8List] returns Uint8List which you can use in any platform
  ///such as Android, iOS, Web etc
  Uint8List? get imageUInt8List => _pickedImageUInt8List.value;

  ///below [imageName] getter returns name of the image which you can use
  ///to upload image to the server
  String? get imageName => imagePickedFile?.path.split('/').last;
}
